Welcome to Open Discussion

2009-08-21
2013-05-28
  • Nobody/Anonymous

    Welcome to Open Discussion

     
    • Adrián Chaves Fernández

      I would like about media license. The music in the game is under a non-free license. Have you though about replacing it or asking the author to change the license to another (like CC:BY-SA)?

       
    • Adrián Chaves Fernández

      *I would like "to ask" about media license.

       
    • Remigiusz Dybka

      Remigiusz Dybka - 2009-08-27

      All right. Found something good (paniq). Will be in the next version. I deleted the other posts just in case....

       
    • Adrián Chaves Fernández

      Really greats news :)

       
  • agapito perez

    agapito perez - 2009-09-12

    Hi there !
    im trying to compile your game.
    I use debian lenny (GNU/Linux), x86 machine.
    the error is i get on trying to compile… i t says no gl package found.
    i tried to search on repositories and no luck. Is there any way to bypass this or fix it somehow ?

    Tank you very much

     
  • aapoaapo

    aapoaapo - 2009-09-12

    I can compile it under Ubuntu Jaynty. Name of needed package is

    libgl1-mesa-dev

     
  • agapito perez

    agapito perez - 2009-09-12

    hello again… and thaks aapoaapo for the tip.

    Here's the error i get:
    checking for ZAZ… configure: error: Package requirements (sdl vorbisfile gl theora ftgl) were not met:

    No package 'gl' found

    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Alternatively, you may set the environment variables ZAZ_CFLAGS
    and ZAZ_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details.

    Although i have package libgl1-mesa-dev installed

    Might this be any misspelling between pakage names for different linux distros ?

    Any ideas on this ? Can someone help ?

    Tried to run the windows version too under Wine, but no luck… says i miss ftgl.dll and some other .dll or two…

    If i make this work i'll make a post on my linux blog about the game and how got it to work with help from you people.

    Thank you very much once again

     
  • Adrián Chaves Fernández

    The package name in Arch Linux is ftgl. IS there a similar package in Debian? It's an opengl related pacakge for sure.

     
  • agapito perez

    agapito perez - 2009-09-13

    yes i've installed ftgl and all that's related to that package:

    ftgl-dev
    libftgl2
    libftgl-dev

    All these 3 packages are installed…

    When i tried to compile the first time i hadn't these 3 packages installed, and the error i got , apart from

    "No package 'gl' found"

    i also got :

    No package 'ftgl' found

    So after installing these 3 packages i still get:

    No package 'gl' found

    i'll keep on searching…………

     
  • agapito perez

    agapito perez - 2009-09-13

    Well, I've done some searching with Google and it seems that I'm not the only one trying to compile your game, for example:

    http://forum.jeuxlinux.fr/viewtopic.php?id=767
    http://forum.ubuntu-fr.org/viewtopic.php?id=342316

    I know almost nothing about compiling nor programming, still generally i can handle pretty well package search when i need to compile something, with the help from google when things get uglier if thats the case of something more odd.

    After researching, i've read something about these files called gl.h and gl.pc
    Well… gl.h is located in  /usr/include/GL but i have no file called gl.pc in my system (that seems to be created by pkg-config when compiling, correct me if i'm wrong)
    I have no idea how to "adjust" the PKG_CONFIG_PATH so it could point to the needed library, in the case that it would be in other place rather than where it should be…
    Anyway… before researching all this, i tried to install some more "gl" related packages through synaptic, and i'm still stuck.
    Don't know if all this is happening because this was buit (and therefor works for you guys)  in Arch Linux, because, (and i don't know a lot about Arch), as far as i know, in Arch Linux you have to compile a lot of things…. and therefor some packages or libraries would be placed somewhere else… just my thoughts.

    Still, and i hope that any of the information i give here could help on solve this, … here is my config.log:

    <pre><code>This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.

    It was created by zaz configure 0.2.9, which was
    generated by GNU Autoconf 2.63.  Invocation command line was

      $ ./configure

    ## ------ ##
    ## Platform. ##
    ## ------ ##

    hostname = debian
    uname -m = i686
    uname -r = 2.6.26-2-686
    uname -s = Linux
    uname -v = #1 SMP Thu Mar 26 01:08:11 UTC 2009

    /usr/bin/uname -p = unknown
    /bin/uname -X     = unknown

    /bin/arch              = unknown
    /usr/bin/arch -k       = unknown
    /usr/convex/getsysinfo = unknown
    /usr/bin/hostinfo      = unknown
    /bin/machine           = unknown
    /usr/bin/oslevel       = unknown
    /bin/universe          = unknown

    PATH: /usr/local/bin
    PATH: /usr/bin
    PATH: /bin
    PATH: /usr/games

    ## ------- ##
    ## Core tests. ##
    ## ------- ##

    configure:1940: checking for a BSD-compatible install
    configure:2008: result: /usr/bin/install -c
    configure:2019: checking whether build environment is sane
    configure:2062: result: yes
    configure:2087: checking for a thread-safe mkdir -p
    configure:2126: result: /bin/mkdir -p
    configure:2139: checking for gawk
    configure:2155: found /usr/bin/gawk
    configure:2166: result: gawk
    configure:2177: checking whether make sets $(MAKE)
    configure:2199: result: yes
    configure:2385: checking whether to enable maintainer-specific portions of Makefiles
    configure:2394: result: no
    configure:2408: checking whether NLS is requested
    configure:2417: result: yes
    configure:2458: checking for msgfmt
    configure: trying /usr/bin/msgfmt…
    0 translated messages.
    configure:2490: result: /usr/bin/msgfmt
    configure:2499: checking for gmsgfmt
    configure:2530: result: /usr/bin/msgfmt
    configure:2581: checking for xgettext
    configure: trying /usr/bin/xgettext…
    /usr/bin/xgettext: warning: file `/dev/null' extension `' is unknown; will try C
    configure:2613: result: /usr/bin/xgettext
    configure:2659: checking for msgmerge
    configure: trying /usr/bin/msgmerge…
    configure:2690: result: /usr/bin/msgmerge
    configure:2735: checking for style of include used by make
    configure:2763: result: GNU
    configure:2833: checking for gcc
    configure:2849: found /usr/bin/gcc
    configure:2860: result: gcc
    configure:3092: checking for C compiler version
    configure:3100: gcc -version >&5
    gcc (Debian 4.3.2-1.1) 4.3.2
    Copyright (C) 2008 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    configure:3104: $? = 0
    configure:3111: gcc -v >&5
    Using built-in specs.
    Target: i486-linux-gnu
    Configured with: ../src/configure -v -with-pkgversion='Debian 4.3.2-1.1' -with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs -enable-languages=c,c++,fortran,objc,obj-c++ -prefix=/usr -enable-shared -with-system-zlib -libexecdir=/usr/lib -without-included-gettext -enable-threads=posix -enable-nls -with-gxx-include-dir=/usr/include/c++/4.3 -program-suffix=-4.3 -enable-clocale=gnu -enable-libstdcxx-debug -enable-objc-gc -enable-mpfr -enable-targets=all -enable-cld -enable-checking=release -build=i486-linux-gnu -host=i486-linux-gnu -target=i486-linux-gnu
    Thread model: posix
    gcc version 4.3.2 (Debian 4.3.2-1.1)
    configure:3115: $? = 0
    configure:3122: gcc -V >&5
    gcc: '-V' option must have argument
    configure:3126: $? = 1
    configure:3149: checking for C compiler default output file name
    configure:3171: gcc    conftest.c  >&5
    configure:3175: $? = 0
    configure:3213: result: a.out
    configure:3232: checking whether the C compiler works
    configure:3242: ./a.out
    configure:3246: $? = 0
    configure:3265: result: yes
    configure:3272: checking whether we are cross compiling
    configure:3274: result: no
    configure:3277: checking for suffix of executables
    configure:3284: gcc -o conftest    conftest.c  >&5
    configure:3288: $? = 0
    configure:3314: result:
    configure:3320: checking for suffix of object files
    configure:3346: gcc -c   conftest.c >&5
    configure:3350: $? = 0
    configure:3375: result: o
    configure:3379: checking whether we are using the GNU C compiler
    configure:3408: gcc -c   conftest.c >&5
    configure:3415: $? = 0
    configure:3432: result: yes
    configure:3441: checking whether gcc accepts -g
    configure:3471: gcc -c -g  conftest.c >&5
    configure:3478: $? = 0
    configure:3579: result: yes
    configure:3596: checking for gcc option to accept ISO C89
    configure:3670: gcc  -c -g -O2  conftest.c >&5
    configure:3677: $? = 0
    configure:3700: result: none needed
    configure:3720: checking dependency style of gcc
    configure:3811: result: gcc3
    configure:3832: checking build system type
    configure:3850: result: i686-pc-linux-gnu
    configure:3872: checking host system type
    configure:3887: result: i686-pc-linux-gnu
    configure:3933: checking for ld used by GCC
    configure:3997: result: /usr/bin/ld
    configure:4006: checking if the linker (/usr/bin/ld) is GNU ld
    configure:4019: result: yes
    configure:4026: checking for shared library run path origin
    configure:4039: result: done
    configure:4541: checking for CFPreferencesCopyAppValue
    configure:4569: gcc -o conftest -g -O2   conftest.c  -Wl,-framework -Wl,CoreFoundation >&5
    conftest.c:10:42: error: CoreFoundation/CFPreferences.h: No such file or directory
    conftest.c: In function 'main':
    conftest.c:14: error: 'NULL' undeclared (first use in this function)
    conftest.c:14: error: (Each undeclared identifier is reported only once
    conftest.c:14: error: for each function it appears in.)
    configure:4576: $? = 1
    configure: failed program was:
    | /* confdefs.h.  */
    | #define PACKAGE_NAME "zaz"
    | #define PACKAGE_TARNAME "zaz"
    | #define PACKAGE_VERSION "0.2.9"
    | #define PACKAGE_STRING "zaz 0.2.9"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE "zaz"
    | #define VERSION "0.2.9"
    | /* end confdefs.h.  */
    | #include <CoreFoundation/CFPreferences.h>
    | int
    | main ()
    | {
    | CFPreferencesCopyAppValue(NULL, NULL)
    |   ;
    |   return 0;
    | }
    configure:4597: result: no
    configure:4606: checking for CFLocaleCopyCurrent
    configure:4634: gcc -o conftest -g -O2   conftest.c  -Wl,-framework -Wl,CoreFoundation >&5
    conftest.c:10:37: error: CoreFoundation/CFLocale.h: No such file or directory
    configure:4641: $? = 1
    configure: failed program was:
    | /* confdefs.h.  */
    | #define PACKAGE_NAME "zaz"
    | #define PACKAGE_TARNAME "zaz"
    | #define PACKAGE_VERSION "0.2.9"
    | #define PACKAGE_STRING "zaz 0.2.9"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE "zaz"
    | #define VERSION "0.2.9"
    | /* end confdefs.h.  */
    | #include <CoreFoundation/CFLocale.h>
    | int
    | main ()
    | {
    | CFLocaleCopyCurrent();
    |   ;
    |   return 0;
    | }
    configure:4662: result: no
    configure:4713: checking for GNU gettext in libc
    configure:4743: gcc -o conftest -g -O2   conftest.c  >&5
    configure:4750: $? = 0
    configure:4772: result: yes
    configure:5676: checking whether to use NLS
    configure:5678: result: yes
    configure:5681: checking where the gettext function comes from
    configure:5692: result: libc
    configure:5753: checking for library containing strerror
    configure:5794: gcc -o conftest -g -O2   conftest.c  >&5
    configure:5801: $? = 0
    configure:5832: result: none required
    configure:5898: checking for g++
    configure:5914: found /usr/bin/g++
    configure:5925: result: g++
    configure:5952: checking for C++ compiler version
    configure:5960: g++ -version >&5
    g++ (Debian 4.3.2-1.1) 4.3.2
    Copyright (C) 2008 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    configure:5964: $? = 0
    configure:5971: g++ -v >&5
    Using built-in specs.
    Target: i486-linux-gnu
    Configured with: ../src/configure -v -with-pkgversion='Debian 4.3.2-1.1' -with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs -enable-languages=c,c++,fortran,objc,obj-c++ -prefix=/usr -enable-shared -with-system-zlib -libexecdir=/usr/lib -without-included-gettext -enable-threads=posix -enable-nls -with-gxx-include-dir=/usr/include/c++/4.3 -program-suffix=-4.3 -enable-clocale=gnu -enable-libstdcxx-debug -enable-objc-gc -enable-mpfr -enable-targets=all -enable-cld -enable-checking=release -build=i486-linux-gnu -host=i486-linux-gnu -target=i486-linux-gnu
    Thread model: posix
    gcc version 4.3.2 (Debian 4.3.2-1.1)
    configure:5975: $? = 0
    configure:5982: g++ -V >&5
    g++: '-V' option must have argument
    configure:5986: $? = 1
    configure:5989: checking whether we are using the GNU C++ compiler
    configure:6018: g++ -c   conftest.cpp >&5
    configure:6025: $? = 0
    configure:6042: result: yes
    configure:6051: checking whether g++ accepts -g
    configure:6081: g++ -c -g  conftest.cpp >&5
    configure:6088: $? = 0
    configure:6189: result: yes
    configure:6214: checking dependency style of g++
    configure:6305: result: gcc3
    configure:6368: checking for gcc
    configure:6395: result: gcc
    configure:6627: checking for C compiler version
    configure:6635: gcc -version >&5
    gcc (Debian 4.3.2-1.1) 4.3.2
    Copyright (C) 2008 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    configure:6639: $? = 0
    configure:6646: gcc -v >&5
    Using built-in specs.
    Target: i486-linux-gnu
    Configured with: ../src/configure -v -with-pkgversion='Debian 4.3.2-1.1' -with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs -enable-languages=c,c++,fortran,objc,obj-c++ -prefix=/usr -enable-shared -with-system-zlib -libexecdir=/usr/lib -without-included-gettext -enable-threads=posix -enable-nls -with-gxx-include-dir=/usr/include/c++/4.3 -program-suffix=-4.3 -enable-clocale=gnu -enable-libstdcxx-debug -enable-objc-gc -enable-mpfr -enable-targets=all -enable-cld -enable-checking=release -build=i486-linux-gnu -host=i486-linux-gnu -target=i486-linux-gnu
    Thread model: posix
    gcc version 4.3.2 (Debian 4.3.2-1.1)
    configure:6650: $? = 0
    configure:6657: gcc -V >&5
    gcc: '-V' option must have argument
    configure:6661: $? = 1
    configure:6664: checking whether we are using the GNU C compiler
    configure:6717: result: yes
    configure:6726: checking whether gcc accepts -g
    configure:6864: result: yes
    configure:6881: checking for gcc option to accept ISO C89
    configure:6985: result: none needed
    configure:7005: checking dependency style of gcc
    configure:7096: result: gcc3
    configure:7119: checking how to run the C preprocessor
    configure:7159: gcc -E  conftest.c
    configure:7166: $? = 0
    configure:7197: gcc -E  conftest.c
    conftest.c:13:28: error: ac_nonexistent.h: No such file or directory
    configure:7204: $? = 1
    configure: failed program was:
    | /* confdefs.h.  */
    | #define PACKAGE_NAME "zaz"
    | #define PACKAGE_TARNAME "zaz"
    | #define PACKAGE_VERSION "0.2.9"
    | #define PACKAGE_STRING "zaz 0.2.9"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE "zaz"
    | #define VERSION "0.2.9"
    | #define ENABLE_NLS 1
    | #define HAVE_GETTEXT 1
    | #define HAVE_DCGETTEXT 1
    | /* end confdefs.h.  */
    | #include <ac_nonexistent.h>
    configure:7237: result: gcc -E
    configure:7266: gcc -E  conftest.c
    configure:7273: $? = 0
    configure:7304: gcc -E  conftest.c
    conftest.c:13:28: error: ac_nonexistent.h: No such file or directory
    configure:7311: $? = 1
    configure: failed program was:
    | /* confdefs.h.  */
    | #define PACKAGE_NAME "zaz"
    | #define PACKAGE_TARNAME "zaz"
    | #define PACKAGE_VERSION "0.2.9"
    | #define PACKAGE_STRING "zaz 0.2.9"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE "zaz"
    | #define VERSION "0.2.9"
    | #define ENABLE_NLS 1
    | #define HAVE_GETTEXT 1
    | #define HAVE_DCGETTEXT 1
    | /* end confdefs.h.  */
    | #include <ac_nonexistent.h>
    configure:7351: checking for grep that handles long lines and -e
    configure:7411: result: /bin/grep
    configure:7416: checking for egrep
    configure:7480: result: /bin/grep -E
    configure:7485: checking for ANSI C header files
    configure:7515: gcc -c -g -O2  conftest.c >&5
    configure:7522: $? = 0
    configure:7621: gcc -o conftest -g -O2   conftest.c  >&5
    configure:7625: $? = 0
    configure:7631: ./conftest
    configure:7635: $? = 0
    configure:7653: result: yes
    configure:7706: checking for ranlib
    configure:7722: found /usr/bin/ranlib
    configure:7733: result: ranlib
    configure:7805: checking for pkg-config
    configure:7823: found /usr/bin/pkg-config
    configure:7835: result: /usr/bin/pkg-config
    configure:7860: checking pkg-config is at least version 0.9.0
    configure:7863: result: yes
    configure:7874: checking for ZAZ
    configure:7882: $PKG_CONFIG -exists -print-errors "sdl vorbisfile gl theora ftgl"
    Package gl was not found in the pkg-config search path.
    Perhaps you should add the directory containing `gl.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'gl' found
    configure:7885: $? = 1
    configure:7900: $PKG_CONFIG -exists -print-errors "sdl vorbisfile gl theora ftgl"
    Package gl was not found in the pkg-config search path.
    Perhaps you should add the directory containing `gl.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'gl' found
    configure:7903: $? = 1
    No package 'gl' found
    configure:7941: error: Package requirements (sdl vorbisfile gl theora ftgl) were not met:

    No package 'gl' found

    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Alternatively, you may set the environment variables ZAZ_CFLAGS
    and ZAZ_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details.

    ## ----------- ##
    ## Cache variables. ##
    ## ----------- ##

    ac_cv_build=i686-pc-linux-gnu
    ac_cv_c_compiler_gnu=yes
    ac_cv_cxx_compiler_gnu=yes
    ac_cv_env_CCC_set=
    ac_cv_env_CCC_value=
    ac_cv_env_CC_set=
    ac_cv_env_CC_value=
    ac_cv_env_CFLAGS_set=
    ac_cv_env_CFLAGS_value=
    ac_cv_env_CPPFLAGS_set=
    ac_cv_env_CPPFLAGS_value=
    ac_cv_env_CPP_set=
    ac_cv_env_CPP_value=
    ac_cv_env_CXXFLAGS_set=
    ac_cv_env_CXXFLAGS_value=
    ac_cv_env_CXX_set=
    ac_cv_env_CXX_value=
    ac_cv_env_LDFLAGS_set=
    ac_cv_env_LDFLAGS_value=
    ac_cv_env_LIBS_set=
    ac_cv_env_LIBS_value=
    ac_cv_env_PKG_CONFIG_set=
    ac_cv_env_PKG_CONFIG_value=
    ac_cv_env_ZAZ_CFLAGS_set=
    ac_cv_env_ZAZ_CFLAGS_value=
    ac_cv_env_ZAZ_LIBS_set=
    ac_cv_env_ZAZ_LIBS_value=
    ac_cv_env_build_alias_set=
    ac_cv_env_build_alias_value=
    ac_cv_env_host_alias_set=
    ac_cv_env_host_alias_value=
    ac_cv_env_target_alias_set=
    ac_cv_env_target_alias_value=
    ac_cv_header_stdc=yes
    ac_cv_host=i686-pc-linux-gnu
    ac_cv_objext=o
    ac_cv_path_EGREP='/bin/grep -E'
    ac_cv_path_GMSGFMT=/usr/bin/msgfmt
    ac_cv_path_GREP=/bin/grep
    ac_cv_path_MSGFMT=/usr/bin/msgfmt
    ac_cv_path_MSGMERGE=/usr/bin/msgmerge
    ac_cv_path_XGETTEXT=/usr/bin/xgettext
    ac_cv_path_ac_pt_PKG_CONFIG=/usr/bin/pkg-config
    ac_cv_path_install='/usr/bin/install -c'
    ac_cv_path_mkdir=/bin/mkdir
    ac_cv_prog_AWK=gawk
    ac_cv_prog_CPP='gcc -E'
    ac_cv_prog_ac_ct_CC=gcc
    ac_cv_prog_ac_ct_CXX=g++
    ac_cv_prog_ac_ct_RANLIB=ranlib
    ac_cv_prog_cc_c89=
    ac_cv_prog_cc_g=yes
    ac_cv_prog_cxx_g=yes
    ac_cv_prog_make_make_set=yes
    ac_cv_search_strerror='none required'
    acl_cv_hardcode_direct=no
    acl_cv_hardcode_libdir_flag_spec='${wl}-rpath ${wl}$libdir'
    acl_cv_hardcode_libdir_separator=
    acl_cv_hardcode_minus_L=no
    acl_cv_libext=a
    acl_cv_libname_spec='lib$name'
    acl_cv_library_names_spec='$libname$shrext'
    acl_cv_path_LD=/usr/bin/ld
    acl_cv_prog_gnu_ld=yes
    acl_cv_rpath=done
    acl_cv_shlibext=so
    acl_cv_wl=-Wl,
    am_cv_CC_dependencies_compiler_type=gcc3
    am_cv_CXX_dependencies_compiler_type=gcc3
    am_cv_prog_cc_stdc=
    gt_cv_func_CFLocaleCopyCurrent=no
    gt_cv_func_CFPreferencesCopyAppValue=no
    gt_cv_func_gnugettext1_libc=yes

    ## ----------- ##
    ## Output variables. ##
    ## ----------- ##

    ACLOCAL='${SHELL} /home/yomismo/Desktop/zaz-0.2.9/zaz-0.2.9/missing -run aclocal-1.10'
    AMDEPBACKSLASH='\'
    AMDEP_FALSE='#'
    AMDEP_TRUE=''
    AMTAR='${SHELL} /home/yomismo/Desktop/zaz-0.2.9/zaz-0.2.9/missing -run tar'
    AUTOCONF='${SHELL} /home/yomismo/Desktop/zaz-0.2.9/zaz-0.2.9/missing -run autoconf'
    AUTOHEADER='${SHELL} /home/yomismo/Desktop/zaz-0.2.9/zaz-0.2.9/missing -run autoheader'
    AUTOMAKE='${SHELL} /home/yomismo/Desktop/zaz-0.2.9/zaz-0.2.9/missing -run automake-1.10'
    AWK='gawk'
    CC='gcc'
    CCDEPMODE='depmode=gcc3'
    CFLAGS='-g -O2'
    CPP='gcc -E'
    CPPFLAGS=''
    CXX='g++'
    CXXDEPMODE='depmode=gcc3'
    CXXFLAGS='-g -O2'
    CYGPATH_W='echo'
    DEFS=''
    DEPDIR='.deps'
    ECHO_C=''
    ECHO_N='-n'
    ECHO_T=''
    EGREP='/bin/grep -E'
    EXEEXT=''
    GETTEXT_MACRO_VERSION='0.17'
    GMSGFMT='/usr/bin/msgfmt'
    GMSGFMT_015='/usr/bin/msgfmt'
    GREP='/bin/grep'
    INSTALL_DATA='${INSTALL} -m 644'
    INSTALL_PROGRAM='${INSTALL}'
    INSTALL_SCRIPT='${INSTALL}'
    INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
    INTLLIBS=''
    INTL_MACOSX_LIBS=''
    LDFLAGS=''
    LIBICONV='-liconv'
    LIBINTL=''
    LIBOBJS=''
    LIBS=''
    LTLIBICONV='-liconv'
    LTLIBINTL=''
    LTLIBOBJS=''
    MAINT='#'
    MAINTAINER_MODE_FALSE=''
    MAINTAINER_MODE_TRUE='#'
    MAKEINFO='${SHELL} /home/yomismo/Desktop/zaz-0.2.9/zaz-0.2.9/missing -run makeinfo'
    MKDIR_P='/bin/mkdir -p'
    MSGFMT='/usr/bin/msgfmt'
    MSGFMT_015='/usr/bin/msgfmt'
    MSGMERGE='/usr/bin/msgmerge'
    OBJEXT='o'
    PACKAGE='zaz'
    PACKAGE_BUGREPORT=''
    PACKAGE_NAME='zaz'
    PACKAGE_STRING='zaz 0.2.9'
    PACKAGE_TARNAME='zaz'
    PACKAGE_VERSION='0.2.9'
    PATH_SEPARATOR=':'
    PKG_CONFIG='/usr/bin/pkg-config'
    POSUB='po'
    RANLIB='ranlib'
    SET_MAKE=''
    SHELL='/bin/sh'
    STRIP=''
    USE_NLS='yes'
    VERSION='0.2.9'
    XGETTEXT='/usr/bin/xgettext'
    XGETTEXT_015='/usr/bin/xgettext'
    XGETTEXT_EXTRA_OPTIONS=''
    ZAZ_CFLAGS=''
    ZAZ_LIBS=''
    ac_ct_CC='gcc'
    ac_ct_CXX='g++'
    am__fastdepCC_FALSE='#'
    am__fastdepCC_TRUE=''
    am__fastdepCXX_FALSE='#'
    am__fastdepCXX_TRUE=''
    am__include='include'
    am__isrc=''
    am__leading_dot='.'
    am__quote=''
    am__tar='${AMTAR} chof - "$$tardir"'
    am__untar='${AMTAR} xf -'
    bindir='${exec_prefix}/bin'
    build='i686-pc-linux-gnu'
    build_alias=''
    build_cpu='i686'
    build_os='linux-gnu'
    build_vendor='pc'
    datadir='${datarootdir}'
    datarootdir='${prefix}/share'
    docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
    dvidir='${docdir}'
    exec_prefix='NONE'
    host='i686-pc-linux-gnu'
    host_alias=''
    host_cpu='i686'
    host_os='linux-gnu'
    host_vendor='pc'
    htmldir='${docdir}'
    includedir='${prefix}/include'
    infodir='${datarootdir}/info'
    install_sh='$(SHELL) /home/yomismo/Desktop/zaz-0.2.9/zaz-0.2.9/install-sh'
    libdir='${exec_prefix}/lib'
    libexecdir='${exec_prefix}/libexec'
    localedir='${datarootdir}/locale'
    localstatedir='${prefix}/var'
    mandir='${datarootdir}/man'
    mkdir_p='/bin/mkdir -p'
    oldincludedir='/usr/include'
    pdfdir='${docdir}'
    prefix='NONE'
    program_transform_name='s,x,x,'
    psdir='${docdir}'
    sbindir='${exec_prefix}/sbin'
    sharedstatedir='${prefix}/com'
    sysconfdir='${prefix}/etc'
    target_alias=''

    ## ------- ##
    ## confdefs.h. ##
    ## ------- ##

    #define PACKAGE_NAME "zaz"
    #define PACKAGE_TARNAME "zaz"
    #define PACKAGE_VERSION "0.2.9"
    #define PACKAGE_STRING "zaz 0.2.9"
    #define PACKAGE_BUGREPORT ""
    #define PACKAGE "zaz"
    #define VERSION "0.2.9"
    #define ENABLE_NLS 1
    #define HAVE_GETTEXT 1
    #define HAVE_DCGETTEXT 1
    #define STDC_HEADERS 1

    configure: exit 1
    </code></pre>

    Thanks for your help.

     
  • aapoaapo

    aapoaapo - 2009-09-13

    Hi. I do not know anything about Arch or Debian, only Ubuntu. I  tested this with Ubuntu 9.04 live CD and here is list of all needed packages to got zaz 0.2.9 compiled. No need for PKG-CONFIG-LIB hacking.

    You must enable universe-repository because of ftgl (sudo nano /etc/apt/sources.lst)

    sudo apt-get install build-essentials

    sudo apt-get install libtheora-dev libgl1-mesa-dev libsdl1.2-dev libvorbis-dev libftgl-dev  libsdl-image1.2-dev

    ./configure

    make

    sudo make install

     
  • aapoaapo

    aapoaapo - 2009-09-13

    Typo. It is **build-essential**, not build-essentials. (But if you are using real system, not LIVE you have it already installed.)

     
  • agapito perez

    agapito perez - 2009-09-13

    ok heres the solution, finally found it… hope it helps someone with debian lenny too…
    found the solution on:
    http://happypenguin.org/show?Zaz

    posted by Nemoder @ 66.172.122.199 on Aug 22 2009 8:37 PM
    I'm not sure what all the required dev packages are but most of them should be easy to figure out.
    The only tricky one was 'gl' because of the missing /usr/lib/pkg-config/gl.pc I created one by copying and changing the sdl.pc like so:
    # gl pkg-config source file

    prefix=/usr
    exec_prefix=${prefix}
    libdir=${exec_prefix}/lib
    includedir=${prefix}/include

    Name: gl
    Description: gl
    Version: 1
    Requires:
    Conflicts:
    Libs: -L${libdir} -lGL
    Cflags: -I${includedir} -D_GNU_SOURCE=1 -D_REENTRANT

    thats it… saved file as gl.pc in /usr/lib/pkg-config/
    compiled and installed it.
    finally it works !

    hope it helps someone

    cheers !

     
  • agapito perez

    agapito perez - 2009-09-13

    By the way… into which folder shall i copy the level files ?

     
  • agapito perez

    agapito perez - 2009-09-13

    Well… after starting the game, the game menu is very nice, the balls flow very smoothly and all… but then i start the game and everything goes very sloooow !!!
    Don't know if the workaround posted in  http://happypenguin.org/show?Zaz has to do anything about it, but at least i got the game compiled and installed with no errors.
    Sorry i can give no more information about this being so slow, but if i run the game from terminal i get no output.

    Anyone can give a hand on this ??

     
  • Remigiusz Dybka

    Remigiusz Dybka - 2009-09-14

    It could be something with the non power of two textures that are still in 0.2.9. They behave differently on different cards. You could test the SVN version or try different levels (to access them without finishing the first one, you'll have to edit ~/.zaz/settings and set the levelX_completed to TRUE). Hope that works.

     
  • agapito perez

    agapito perez - 2009-09-15

    Well, here's what i got:
    edited  settings file and set all levelX_completed to TRUE
    Levels that worked were: Midnight Queen, Bacteria, Joker, Three Dragons… all the other ones go very sloooow, like if i activate on-screen FPS, i get 1(!) FPS !!!
    Although things are slow in these other levels, all textures appear, or at least it seems so, because i can see all the balls.
    I did also tried the .deb packages from playdeb (zaz_0.2.9-1~getdeb1_i386.deb and zaz-data_0.2.9-1~getdeb1_all.deb) and happens the same thing.
    Tried as well the SVN version (downloaded it today), but couldn't compile it, the error i got was:
    checking for ZAZ… configure: error: Package requirements (sdl vorbisfile theoraenc theoradec) were not met:

    No package 'theoraenc' found
    No package 'theoradec' found

    Anyway, as you could imagine, i would like to see some fix to this issue so that i could play all the levels, because the worst part is that the ones that work for me are very difficult lol

    Thanks for your help, i'll try to stay tunned to what may happen here.
    Cheers !

     
  • Remigiusz Dybka

    Remigiusz Dybka - 2009-09-15

    The problem is with png files having wrong sizes, not the binary itself.
    If you have problems compiling, just overwrite the png files in data directory that were installed from deb package with the ones from SVN. And use the binary from deb package.

     
  • agapito perez

    agapito perez - 2009-09-16

    Ok that did the trick ! The game plays as it should with that fix ! (at least for me)
    I will be waiting for a tar.gz version to compile or a .deb version so i can recommend to other people ! Please let me know when you do !

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks